Package org.gradle.language.cpp

# Interface CppApplication

All Superinterfaces:
  `CppComponent`, `Named`, `SoftwareComponent`

@Incubating public interface CppApplication extends CppComponent
Configuration for a C++ application, defining the source files that make up the application plus other settings.

An instance of this type is added as a project extension by the C++ executable plugin.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`CppExecutable`
`getDebugExecutable()`
Returns the debug executable for this application.
`CppExecutable`
`getDevelopmentBinary()`
Returns the binary of the component to use as the default for development.
`CppExecutable`
`getReleaseExecutable()`
Returns the release executable for this application.

### Methods inherited from interface org.gradle.language.cpp.CppComponent

`getBaseName, getCppSource, getHeaderFiles, getImplementationDependencies, getPrivateHeaderDirs, getPrivateHeaders, getSource, privateHeaders, source`

### Methods inherited from interface org.gradle.api.Named

`getName`

## Method Details

### getDevelopmentBinary

CppExecutable getDevelopmentBinary()
Returns the binary of the component to use as the default for development.

Specified by:
  `getDevelopmentBinary` in interface `CppComponent`

### getDebugExecutable

CppExecutable getDebugExecutable()
Returns the debug executable for this application.

### getReleaseExecutable

CppExecutable getReleaseExecutable()
Returns the release executable for this application.